const config = require("config");

const express = require("express");
const mongoose = require("mongoose");

const router = require("./router/routes");

const app = express();
app.use(express.json({ extended: false }));
app.use("/api/user", router);

mongoose
  .connect(config.get("app.dev.endpoint"), {
    useNewUrlParser: true,
    useUnifiedTopology: true
  })
  .then(() => console.log("Successfully connected to mongo"))
  .catch((err) => console.log("Connection failed", err));

// driver code
const port = config.get("app.dev.app_port");
app.listen(port, () => {
  console.log(`Application started at: http://localhost:${port}`);
});
