const config = require("config");

const { Schema, model } = require("mongoose");
const jwt = require("jsonwebtoken");

const usrSch = Schema(
  {
    number: {
      type: String,
      required: true
    }
  },
  { timestamps: true }
);

usrSch.methods.generateTkn = function () {
  return jwt.sign(
    {
      _id: this._id,
      number: this.number,
      issuer: "jcg"
    },
    config.get("app.dev.tkn_secret_key"),
    { expiresIn: "1d" }
  );
};

module.exports.User = model("User", usrSch);
